package com.lanyuanxiaoyao.service.info.service;

import club.kingon.sql.builder.entry.Alias;
import cn.hutool.core.util.StrUtil;

/**
 * 放公共变量
 *
 * @author lanyuanxiaoyao
 * @date 2024-01-03
 */
public class BaseService {
    protected static final String COUNT = "count(*)";
    protected static final String STATUS_Y = "y";
    protected static final String STATUS_N = "n";
    /**
     * 占位符
     */
    protected static final String Q = "?";

    protected static String column(Alias table, String column) {
        return StrUtil.format("{}.{}", table.getAlias(), column);
    }
}
